<div class="game-preview">
  <span class="close-button">
    <svg width="24" height="24" on:click="fire('remove')" viewBox="0 0 24 24">
      <path d="m12 3.4237c-4.7341 0-8.5763 3.8422-8.5763 8.5763 0 4.7341 3.8422 8.5763 8.5763 8.5763 4.7341 0 8.5763-3.8422 8.5763-8.5763 0-4.7341-3.8422-8.5763-8.5763-8.5763z"
       fill="#fff" />
      <path class="icon" d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11H7v-2h10v2z" />
    </svg>
  </span>
  
  <div class="game-icon"
       style={`background-image: url(${gameIconURL})`} />
</div>

<script>
  import env from "../js/constants";
  
  export default {
    computed: {
      gameIconURL({game}) {
        return `${env.API_BASE}/games/${game.id}/assets/icon`;
      }
    }
  };
</script>

<style>
  .game-icon {
    height: 10vh;
    width: 10vh;
    border-radius: 5px;
    background-color: #222;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
  }

  .game-icon,
  .game-preview {
    display: inline-block;
  }

  .game-preview {
    position: relative;
  }

  .close-button {
    cursor: pointer;
    position: absolute;
    right: -14px;
    top: -14px;
  }
</style>
